"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const env_console_1 = require("./env-console");
class StartCmd {
    constructor(ui) {
        this.ui = ui;
        this.name = 'start [type] [pattern]';
        this.description = 'start a dev environment for a workspace or a specific component';
        this.alias = 'c';
        this.private = true;
        this.group = 'development';
        this.shortDescription = '';
        this.options = [
            ['d', 'dev', 'start UI server in dev mode.'],
            ['p', 'port', 'port of the UI server.'],
        ];
    }
    clearConsole() {
        process.stdout.write(process.platform === 'win32' ? '\x1B[2J\x1B[0f' : '\x1B[2J\x1B[3J\x1B[H');
    }
    render([uiRootName, userPattern], { dev, port }) {
        return __awaiter(this, void 0, void 0, function* () {
            const pattern = userPattern && userPattern.toString();
            const uiServer = yield this.ui.createRuntime({
                uiRootName,
                pattern,
                dev,
                port: port ? parseInt(port) : undefined,
            });
            this.clearConsole();
            return react_1.default.createElement(env_console_1.UIServerConsole, { uiServer: uiServer });
        });
    }
}
exports.StartCmd = StartCmd;
//# sourceMappingURL=start.cmd.js.map